Withdraw Stablecoin
curl --request POST \
--url https://api.bullring.finance/v1/ramp/{subaccountId}/banking/withdrawals/stablecoin \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"amount": "12",
"stablecoin": "usdt",
"chain": "ethereum",
"address": "0x22ccb74a200d7b8094b72482edd46e23cbf3af37"
}
'import requests
url = "https://api.bullring.finance/v1/ramp/{subaccountId}/banking/withdrawals/stablecoin"
payload = {
"amount": "12",
"stablecoin": "usdt",
"chain": "ethereum",
"address": "0x22ccb74a200d7b8094b72482edd46e23cbf3af37"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '12',
stablecoin: 'usdt',
chain: 'ethereum',
address: '0x22ccb74a200d7b8094b72482edd46e23cbf3af37'
})
};
fetch('https://api.bullring.finance/v1/ramp/{subaccountId}/banking/withdrawals/stablecoin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "08936301-4656-493d-9394-0e2320cf75d1",
"amount": "12",
"currency": "USDT",
"status": "pending",
"created_at": "2025-11-20T08:53:56.636Z",
"client_reference": "123e4567-e89b-12d3-a456-426614174000",
"protocol": "erc20",
"fee_amount": 1.08,
"fee_currency": "USD",
"chain": "ETH",
"destination_address": "0x***37",
"local_amount": "12",
"local_currency": "usdt",
"tx_hash": null,
"gross_amount": 13.08,
"rate": 1
}Withdrawals
Withdraw Stablecoin
Withdraw funds as a stablecoin to a specified address. All withdrawal requests require approved KYC.
POST
/
v1
/
ramp
/
{subaccountId}
/
banking
/
withdrawals
/
stablecoin
Withdraw Stablecoin
Authorizations
Path Parameters
Body
application/json
usdt or usdc
Available options:
usdt, usdc ethereum, polygon, solana, stellar, tron, or celo
Available options:
ethereum, polygon, solana, stellar, tron, celo Optional unique identifier (UUID) for the withdrawal, used for idempotency and reconciliation. If not provided, a random UUID will be generated by the system.
Response
Successful response
The net amount after fees